Bug 120678 - libc-client conflicts with cyrus-imapd
libc-client conflicts with cyrus-imapd
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-12 18:13 EDT by Radu Greab
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-15 04:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radu Greab 2004-04-12 18:13:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
cyrus-imapd provides "imap" while libc-client conflicts with "imap"
and "imap-devel". This prevents simultaneous installation of
cyrus-imapd and libc-client. Conflicts with "imap" and "imap-devel"
should probably removed from libc-client spec file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -ivh cyrus-imapd-2.2.3-7.i386.rpm libc-client-2002e-5.i386.rpm

Actual Results:  error: Failed dependencies:
        imap conflicts with libc-client-2002e-5

Expected Results:  Installation of both libc-client and cyrus-imapd.

Additional info:
Comment 1 Joe Orton 2004-04-13 16:39:34 EDT
Per some off-line discussion, I'll try passing the buck on this one:
it doesn't seem appropriate for cyrus-imapd to "Provides: imap". 
"Provides: imapdaemon" would be more consistent with other packages.
Comment 2 Warren Togami 2004-04-13 17:02:40 EDT
+1 totally agree.
Comment 3 Karsten Hopp 2004-04-15 04:10:43 EDT
Elliot has already built a new cyrus-imapd without the Provides: 

Note You need to log in before you can comment on or make changes to this bug.